/****************************************************************************
 * Copyright (C) 2015-2016 by the SotS Team                                 *
 *                                                                          *
 * This file is part of Sovereign of the Skies.                             *
 *                                                                          *
 *   Sovereign of the Skies is free software: you can redistribute it       *
 *   and/or modify it                                                       *
 *   under the terms of the GNU Lesser General Public License as published  *
 *   by the Free Software Foundation, either version 3 of the License, or   *
 *   (at your option) any later version provided you include a copy of the  *
 *   licence and this header.                                               *
 *                                                                          *
 *   Sovereign of the Skies is distributed in the hope that it will be      *
 *   useful, but WITHOUT ANY WARRANTY; without even the implied warranty of *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU Lesser General Public License for more details.                    *
 *                                                                          *
 *   You should have received a copy of the GNU Lesser General Public       *
 *   License along with Sovereign of the Skies.                             *
 *   If not, see <http://www.gnu.org/licenses/>.                            *
 ****************************************************************************/

/**
 * @file attack_names.h
 * @author Sturmvogel
 * @date 15 dec 2016
 * @brief Abilities in Assembler notation
 */

.equ ABSORB, 0x47
.equ ACID, 0x33
.equ ACID_ARMOR, 0x97
.equ ACID_SPRAY, 0x1EB
.equ ACROBATICS, 0x200
.equ ACUPRESSURE, 0x16F
.equ AERIAL_ACE, 0x14C
.equ AEROBLAST, 0xB1
.equ AFTER_YOU, 0x1EF
.equ AGILITY, 0x61
.equ AIR_CUTTER, 0x13A
.equ AIR_SLASH, 0x193
.equ ALLY_SWITCH, 0x1F6
.equ AMNESIA, 0x85
.equ ANCIENT_POWER, 0xF6
.equ AQUA_JET, 0x1C5
.equ AQUA_RING, 0x188
.equ AQUA_TAIL, 0x191
.equ ARM_THRUST, 0x124
.equ AROMATHERAPY, 0x138
.equ AROMATIC_MIST, 0x255
.equ ASSIST, 0x112
.equ ASSURANCE, 0x174
.equ ASTONISH, 0x136
.equ ATTACK_ORDER, 0x1C6
.equ ATTRACT, 0xD5
.equ AURA_SPHERE, 0x18C
.equ AURORA_BEAM, 0x3E
.equ AUTOTOMIZE, 0x1DB
.equ AVALANCHE, 0x1A3
.equ BABYDOLL_EYES, 0x260
.equ BARRAGE, 0x8C
.equ BARRIER, 0x70
.equ BATON_PASS, 0xE2
.equ BEAT_UP, 0xFB
.equ BELCH, 0x232
.equ BELLY_DRUM, 0xBB
.equ BESTOW, 0x204
.equ BIDE, 0x75
.equ BIND, 0x14
.equ BITE, 0x2C
.equ BLAST_BURN, 0x133
.equ BLAZE_KICK, 0x12B
.equ BLIZZARD, 0x3B
.equ BLOCK, 0x14F
.equ BLUE_FLARE, 0x227
.equ BODY_SLAM, 0x22
.equ BOLT_STRIKE, 0x226
.equ BONE_CLUB, 0x7D
.equ BONE_RUSH, 0xC6
.equ BONEMERANG, 0x9B
.equ BOOMBURST, 0x24A
.equ BOUNCE, 0x154
.equ BRAVE_BIRD, 0x19D
.equ BRICK_BREAK, 0x118
.equ BRINE, 0x16A
.equ BUBBLE, 0x91
.equ BUBBLE_BEAM, 0x3D
.equ BUG_BITE, 0x1C2
.equ BUG_BUZZ, 0x195
.equ BULK_UP, 0x153
.equ BULLDOZE, 0x20B
.equ BULLET_PUNCH, 0x1A2
.equ BULLET_SEED, 0x14B
.equ CALM_MIND, 0x15B
.equ CAMOUFLAGE, 0x125
.equ CAPTIVATE, 0x1BD
.equ CELEBRATE, 0x25E
.equ CHARGE, 0x10C
.equ CHARGE_BEAM, 0x1C3
.equ CHARM, 0xCC
.equ CHATTER, 0x1C0
.equ CHIP_AWAY, 0x1F2
.equ CIRCLE_THROW, 0x1FD
.equ CLAMP, 0x80
.equ CLEAR_SMOG, 0x1F3
.equ CLOSE_COMBAT, 0x172
.equ COIL, 0x1E9
.equ COMET_PUNCH, 0x4
.equ CONFIDE, 0x24E
.equ CONFUSE_RAY, 0x6D
.equ CONFUSION, 0x5D
.equ CONSTRICT, 0x84
.equ CONVERSION, 0xA0
.equ CONVERSION_2, 0xB0
.equ COPYCAT, 0x17F
.equ COSMIC_POWER, 0x142
.equ COTTON_GUARD, 0x21A
.equ COTTON_SPORE, 0xB2
.equ COUNTER, 0x44
.equ COVET, 0x157
.equ CRABHAMMER, 0x98
.equ CRAFTY_SHIELD, 0x242
.equ CROSS_CHOP, 0xEE
.equ CROSS_POISON, 0x1B8
.equ CRUNCH, 0xF2
.equ CRUSH_CLAW, 0x132
.equ CRUSH_GRIP, 0x1CE
.equ CURSE, 0xAE
.equ CUT, 0xF
.equ DARK_PULSE, 0x18F
.equ DARK_VOID, 0x1D0
.equ DAZZLING_GLEAM, 0x25D
.equ DEFEND_ORDER, 0x1C7
.equ DEFENSE_CURL, 0x6F
.equ DEFOG, 0x1B0
.equ DESTINY_BOND, 0xC2
.equ DETECT, 0xC5
.equ DIAMOND_STORM, 0x24F
.equ DIG, 0x5B
.equ DISABLE, 0x32
.equ DISARMING_VOICE, 0x23E
.equ DISCHARGE, 0x1B3
.equ DIVE, 0x123
.equ DIZZY_PUNCH, 0x92
.equ DOOM_DESIRE, 0x161
.equ DOUBLEEDGE, 0x26
.equ DOUBLE_HIT, 0x1CA
.equ DOUBLE_KICK, 0x18
.equ DOUBLE_SLAP, 0x3
.equ DOUBLE_TEAM, 0x68
.equ DRACO_METEOR, 0x1B2
.equ DRAGON_ASCENT, 0x26C
.equ DRAGON_BREATH, 0xE1
.equ DRAGON_CLAW, 0x151
.equ DRAGON_DANCE, 0x15D
.equ DRAGON_PULSE, 0x196
.equ DRAGON_RAGE, 0x52
.equ DRAGON_RUSH, 0x197
.equ DRAGON_TAIL, 0x20D
.equ DRAINING_KISS, 0x241
.equ DRAIN_PUNCH, 0x199
.equ DREAM_EATER, 0x8A
.equ DRILL_PECK, 0x41
.equ DRILL_RUN, 0x211
.equ DUAL_CHOP, 0x212
.equ DYNAMIC_PUNCH, 0xDF
.equ EARTH_POWER, 0x19E
.equ EARTHQUAKE, 0x59
.equ ECHOED_VOICE, 0x1F1
.equ EERIE_IMPULSE, 0x256
.equ EGG_BOMB, 0x79
.equ ELECTRIC_TERRAIN, 0x25C
.equ ELECTRIFY, 0x246
.equ ELECTRO_BALL, 0x1E6
.equ ELECTROWEB, 0x20F
.equ EMBARGO, 0x175
.equ EMBER, 0x34
.equ ENCORE, 0xE3
.equ ENDEAVOR, 0x11B
.equ ENDURE, 0xCB
.equ ENERGY_BALL, 0x19C
.equ ENTRAINMENT, 0x1EE
.equ ERUPTION, 0x11C
.equ EXPLOSION, 0x99
.equ EXTRASENSORY, 0x146
.equ EXTREME_SPEED, 0xF5
.equ FACADE, 0x107
.equ FEINT_ATTACK, 0xB9
.equ FAIRY_LOCK, 0x24B
.equ FAIRY_WIND, 0x248
.equ FAKE_OUT, 0xFC
.equ FAKE_TEARS, 0x139
.equ FALSE_SWIPE, 0xCE
.equ FEATHER_DANCE, 0x129
.equ FEINT, 0x16C
.equ FELL_STINGER, 0x235
.equ FIERY_DANCE, 0x228
.equ FINAL_GAMBIT, 0x203
.equ FIRE_BLAST, 0x7E
.equ FIRE_FANG, 0x1A8
.equ FIRE_PLEDGE, 0x207
.equ FIRE_PUNCH, 0x7
.equ FIRE_SPIN, 0x53
.equ FISSURE, 0x5A
.equ FLAIL, 0xAF
.equ FLAME_BURST, 0x1E1
.equ FLAME_CHARGE, 0x1E8
.equ FLAME_WHEEL, 0xAC
.equ FLAMETHROWER, 0x35
.equ FLARE_BLITZ, 0x18A
.equ FLASH, 0x94
.equ FLASH_CANNON, 0x1AE
.equ FLATTER, 0x104
.equ FLING, 0x176
.equ FLOWER_SHIELD, 0x243
.equ FLY, 0x13
.equ FLYING_PRESS, 0x230
.equ FOCUS_BLAST, 0x19B
.equ FOCUS_ENERGY, 0x74
.equ FOCUS_PUNCH, 0x108
.equ FOLLOW_ME, 0x10A
.equ FORCE_PALM, 0x18B
.equ FORESIGHT, 0xC1
.equ FORESTS_CURSE, 0x23B
.equ FOUL_PLAY, 0x1EC
.equ FREEZEDRY, 0x23D
.equ FREEZE_SHOCK, 0x229
.equ FRENZY_PLANT, 0x152
.equ FROST_BREATH, 0x20C
.equ FRUSTRATION, 0xDA
.equ FURY_ATTACK, 0x1F
.equ FURY_CUTTER, 0xD2
.equ FURY_SWIPES, 0x9A
.equ FUSION_BOLT, 0x22F
.equ FUSION_FLARE, 0x22E
.equ FUTURE_SIGHT, 0xF8
.equ GASTRO_ACID, 0x17C
.equ GEAR_GRIND, 0x220
.equ GEOMANCY, 0x259
.equ GIGA_DRAIN, 0xCA
.equ GIGA_IMPACT, 0x1A0
.equ GLACIATE, 0x225
.equ GLARE, 0x89
.equ GRASS_KNOT, 0x1BF
.equ GRASS_PLEDGE, 0x208
.equ GRASS_WHISTLE, 0x140
.equ GRASSY_TERRAIN, 0x244
.equ GRAVITY, 0x164
.equ GROWL, 0x2D
.equ GROWTH, 0x4A
.equ GRUDGE, 0x120
.equ GUARD_SPLIT, 0x1D6
.equ GUARD_SWAP, 0x181
.equ GUILLOTINE, 0xC
.equ GUNK_SHOT, 0x1B9
.equ GUST, 0x10
.equ GYRO_BALL, 0x168
.equ HAIL, 0x102
.equ HAMMER_ARM, 0x167
.equ HAPPY_HOUR, 0x25B
.equ HARDEN, 0x6A
.equ HAZE, 0x72
.equ HEAD_CHARGE, 0x21F
.equ HEAD_SMASH, 0x1C9
.equ HEADBUTT, 0x1D
.equ HEAL_BELL, 0xD7
.equ HEAL_BLOCK, 0x179
.equ HEAL_ORDER, 0x1C8
.equ HEAL_PULSE, 0x1F9
.equ HEALING_WISH, 0x169
.equ HEART_STAMP, 0x213
.equ HEART_SWAP, 0x187
.equ HEAT_CRASH, 0x217
.equ HEAT_WAVE, 0x101
.equ HEAVY_SLAM, 0x1E4
.equ HELPING_HAND, 0x10E
.equ HEX, 0x1FA
.equ HIDDEN_POWER, 0xED
.equ HIGH_JUMP_KICK, 0x88
.equ HOLD_BACK, 0x262
.equ HOLD_HANDS, 0x267
.equ HONE_CLAWS, 0x1D4
.equ HORN_ATTACK, 0x1E
.equ HORN_DRILL, 0x20
.equ HORN_LEECH, 0x214
.equ HOWL, 0x150
.equ HURRICANE, 0x21E
.equ HYDRO_CANNON, 0x134
.equ HYDRO_PUMP, 0x38
.equ HYPER_BEAM, 0x3F
.equ HYPER_FANG, 0x9E
.equ HYPERSPACE_FURY, 0x26D
.equ HYPERSPACE_HOLE, 0x251
.equ HYPER_VOICE, 0x130
.equ HYPNOSIS, 0x5F
.equ ICE_BALL, 0x12D
.equ ICE_BEAM, 0x3A
.equ ICE_BURN, 0x22A
.equ ICE_FANG, 0x1A7
.equ ICE_PUNCH, 0x8
.equ ICE_SHARD, 0x1A4
.equ ICICLE_CRASH, 0x22C
.equ ICICLE_SPEAR, 0x14D
.equ ICY_WIND, 0xC4
.equ IMPRISON, 0x11E
.equ INCINERATE, 0x1FE
.equ INFERNO, 0x205
.equ INFESTATION, 0x263
.equ INGRAIN, 0x113
.equ ION_DELUGE, 0x239
.equ IRON_DEFENSE, 0x14E
.equ IRON_HEAD, 0x1BA
.equ IRON_TAIL, 0xE7
.equ JUDGMENT, 0x1C1
.equ JUMP_KICK, 0x1A
.equ KARATE_CHOP, 0x2
.equ KINESIS, 0x86
.equ KINGS_SHIELD, 0x24C
.equ KNOCK_OFF, 0x11A
.equ LANDS_WRATH, 0x268
.equ LAST_RESORT, 0x183
.equ LAVA_PLUME, 0x1B4
.equ LEAF_BLADE, 0x15C
.equ LEAF_STORM, 0x1B5
.equ LEAF_TORNADO, 0x218
.equ LEECH_LIFE, 0x8D
.equ LEECH_SEED, 0x49
.equ LEER, 0x2B
.equ LICK, 0x7A
.equ LIGHT_OF_RUIN, 0x269
.equ LIGHT_SCREEN, 0x71
.equ LOCKON, 0xC7
.equ LOVELY_KISS, 0x8E
.equ LOW_KICK, 0x43
.equ LOW_SWEEP, 0x1EA
.equ LUCKY_CHANT, 0x17D
.equ LUNAR_DANCE, 0x1CD
.equ LUSTER_PURGE, 0x127
.equ MACH_PUNCH, 0xB7
.equ MAGIC_COAT, 0x115
.equ MAGIC_ROOM, 0x1DE
.equ MAGICAL_LEAF, 0x159
.equ MAGMA_STORM, 0x1CF
.equ MAGNET_BOMB, 0x1BB
.equ MAGNETIC_FLUX, 0x25A
.equ MAGNET_RISE, 0x189
.equ MAGNITUDE, 0xDE
.equ MAT_BLOCK, 0x231
.equ ME_FIRST, 0x17E
.equ MEAN_LOOK, 0xD4
.equ MEDITATE, 0x60
.equ MEGA_DRAIN, 0x48
.equ MEGA_KICK, 0x19
.equ MEGA_PUNCH, 0x5
.equ MEGAHORN, 0xE0
.equ MEMENTO, 0x106
.equ METAL_BURST, 0x170
.equ METAL_CLAW, 0xE8
.equ METAL_SOUND, 0x13F
.equ METEOR_MASH, 0x135
.equ METRONOME, 0x76
.equ MILK_DRINK, 0xD0
.equ MIMIC, 0x66
.equ MIND_READER, 0xAA
.equ MINIMIZE, 0x6B
.equ MIRACLE_EYE, 0x165
.equ MIRROR_COAT, 0xF3
.equ MIRROR_MOVE, 0x77
.equ MIRROR_SHOT, 0x1AD
.equ MIST, 0x36
.equ MIST_BALL, 0x128
.equ MISTY_TERRAIN, 0x245
.equ MOONBLAST, 0x249
.equ MOONLIGHT, 0xEC
.equ MORNING_SUN, 0xEA
.equ MUD_SLAP, 0xBD
.equ MUD_BOMB, 0x1AA
.equ MUD_SHOT, 0x155
.equ MUD_SPORT, 0x12C
.equ MUDDY_WATER, 0x14A
.equ MYSTICAL_FIRE, 0x253
.equ NASTY_PLOT, 0x1A1
.equ NATURAL_GIFT, 0x16B
.equ NATURE_POWER, 0x10B
.equ NEEDLE_ARM, 0x12E
.equ NIGHT_DAZE, 0x21B
.equ NIGHT_SHADE, 0x65
.equ NIGHT_SLASH, 0x190
.equ NIGHTMARE, 0xAB
.equ NOBLE_ROAR, 0x238
.equ NUZZLE, 0x261
.equ OBLIVION_WING, 0x265
.equ OCTAZOOKA, 0xBE
.equ ODOR_SLEUTH, 0x13C
.equ OMINOUS_WIND, 0x1D2
.equ ORIGIN_PULSE, 0x26A
.equ OUTRAGE, 0xC8
.equ OVERHEAT, 0x13B
.equ PAIN_SPLIT, 0xDC
.equ PARABOLIC_CHARGE, 0x23A
.equ PARTING_SHOT, 0x23F
.equ PAY_DAY, 0x6
.equ PAYBACK, 0x173
.equ PECK, 0x40
.equ PERISH_SONG, 0xC3
.equ PETAL_BLIZZARD, 0x23C
.equ PETAL_DANCE, 0x50
.equ PHANTOM_FORCE, 0x236
.equ PIN_MISSILE, 0x2A
.equ PLAY_NICE, 0x24D
.equ PLAY_ROUGH, 0x247
.equ PLUCK, 0x16D
.equ POISON_FANG, 0x131
.equ POISON_GAS, 0x8B
.equ POISON_JAB, 0x18E
.equ POISON_POWDER, 0x4D
.equ POISON_STING, 0x28
.equ POISON_TAIL, 0x156
.equ POUND, 0x1
.equ POWDER, 0x258
.equ POWDER_SNOW, 0xB5
.equ POWER_GEM, 0x198
.equ POWER_SPLIT, 0x1D7
.equ POWER_SWAP, 0x180
.equ POWER_TRICK, 0x17B
.equ POWERUP_PUNCH, 0x264
.equ POWER_WHIP, 0x1B6
.equ PRECIPICE_BLADES, 0x26B
.equ PRESENT, 0xD9
.equ PROTECT, 0xB6
.equ PSYBEAM, 0x3C
.equ PSYCH_UP, 0xF4
.equ PSYCHIC, 0x5E
.equ PSYCHO_BOOST, 0x162
.equ PSYCHO_CUT, 0x1AB
.equ PSYCHO_SHIFT, 0x177
.equ PSYSHOCK, 0x1D9
.equ PSYSTRIKE, 0x21C
.equ PSYWAVE, 0x95
.equ PUNISHMENT, 0x182
.equ PURSUIT, 0xE4
.equ QUASH, 0x1FF
.equ QUICK_ATTACK, 0x62
.equ QUICK_GUARD, 0x1F5
.equ QUIVER_DANCE, 0x1E3
.equ RAGE, 0x63
.equ RAGE_POWDER, 0x1DC
.equ RAIN_DANCE, 0xF0
.equ RAPID_SPIN, 0xE5
.equ RAZOR_LEAF, 0x4B
.equ RAZOR_SHELL, 0x216
.equ RAZOR_WIND, 0xD
.equ RECOVER, 0x69
.equ RECYCLE, 0x116
.equ REFLECT, 0x73
.equ REFLECT_TYPE, 0x201
.equ REFRESH, 0x11F
.equ RELIC_SONG, 0x223
.equ REST, 0x9C
.equ RETALIATE, 0x202
.equ RETURN, 0xD8
.equ REVENGE, 0x117
.equ REVERSAL, 0xB3
.equ ROAR, 0x2E
.equ ROAR_OF_TIME, 0x1CB
.equ ROCK_BLAST, 0x15E
.equ ROCK_CLIMB, 0x1AF
.equ ROCK_POLISH, 0x18D
.equ ROCK_SLIDE, 0x9D
.equ ROCK_SMASH, 0xF9
.equ ROCK_THROW, 0x58
.equ ROCK_TOMB, 0x13D
.equ ROCK_WRECKER, 0x1B7
.equ ROLE_PLAY, 0x110
.equ ROLLING_KICK, 0x1B
.equ ROLLOUT, 0xCD
.equ ROOST, 0x163
.equ ROTOTILLER, 0x233
.equ ROUND, 0x1F0
.equ SACRED_FIRE, 0xDD
.equ SACRED_SWORD, 0x215
.equ SAFEGUARD, 0xDB
.equ SAND_ATTACK, 0x1C
.equ SAND_TOMB, 0x148
.equ SANDSTORM, 0xC9
.equ SCALD, 0x1F7
.equ SCARY_FACE, 0xB8
.equ SCRATCH, 0xA
.equ SCREECH, 0x67
.equ SEARING_SHOT, 0x221
.equ SECRET_POWER, 0x122
.equ SECRET_SWORD, 0x224
.equ SEED_BOMB, 0x192
.equ SEED_FLARE, 0x1D1
.equ SEISMIC_TOSS, 0x45
.equ SELFDESTRUCT, 0x78
.equ SHADOW_BALL, 0xF7
.equ SHADOW_CLAW, 0x1A5
.equ SHADOW_FORCE, 0x1D3
.equ SHADOW_PUNCH, 0x145
.equ SHADOW_SNEAK, 0x1A9
.equ SHARPEN, 0x9F
.equ SHEER_COLD, 0x149
.equ SHELL_SMASH, 0x1F8
.equ SHIFT_GEAR, 0x1FC
.equ SHOCK_WAVE, 0x15F
.equ SIGNAL_BEAM, 0x144
.equ SILVER_WIND, 0x13E
.equ SIMPLE_BEAM, 0x1ED
.equ SING, 0x2F
.equ SKETCH, 0xA6
.equ SKILL_SWAP, 0x11D
.equ SKULL_BASH, 0x82
.equ SKY_ATTACK, 0x8F
.equ SKY_DROP, 0x1FB
.equ SKY_UPPERCUT, 0x147
.equ SLACK_OFF, 0x12F
.equ SLAM, 0x15
.equ SLASH, 0xA3
.equ SLEEP_POWDER, 0x4F
.equ SLEEP_TALK, 0xD6
.equ SLUDGE, 0x7C
.equ SLUDGE_BOMB, 0xBC
.equ SLUDGE_WAVE, 0x1E2
.equ SMACK_DOWN, 0x1DF
.equ SMELLING_SALTS, 0x109
.equ SMOG, 0x7B
.equ SMOKESCREEN, 0x6C
.equ SNARL, 0x22B
.equ SNATCH, 0x121
.equ SNORE, 0xAD
.equ SPIKY_SHIELD, 0x254
.equ SOAK, 0x1E7
.equ SOFTBOILED, 0x87
.equ SOLAR_BEAM, 0x4C
.equ SONIC_BOOM, 0x31
.equ SPACIAL_REND, 0x1CC
.equ SPARK, 0xD1
.equ SPIDER_WEB, 0xA9
.equ SPIKE_CANNON, 0x83
.equ SPIKES, 0xBF
.equ SPIT_UP, 0xFF
.equ SPITE, 0xB4
.equ SPLASH, 0x96
.equ SPORE, 0x93
.equ STEALTH_ROCK, 0x1BE
.equ STEAM_ERUPTION, 0x250
.equ STEEL_WING, 0xD3
.equ STICKY_WEB, 0x234
.equ STOCKPILE, 0xFE
.equ STOMP, 0x17
.equ STONE_EDGE, 0x1BC
.equ STORED_POWER, 0x1F4
.equ STORM_THROW, 0x1E0
.equ STEAMROLLER, 0x219
.equ STRENGTH, 0x46
.equ STRING_SHOT, 0x51
.equ STRUGGLE, 0xA5
.equ STRUGGLE_BUG, 0x20A
.equ STUN_SPORE, 0x4E
.equ SUBMISSION, 0x42
.equ SUBSTITUTE, 0xA4
.equ SUCKER_PUNCH, 0x185
.equ SUNNY_DAY, 0xF1
.equ SUPER_FANG, 0xA2
.equ SUPERPOWER, 0x114
.equ SUPERSONIC, 0x30
.equ SURF, 0x39
.equ SWAGGER, 0xCF
.equ SWALLOW, 0x100
.equ SWEET_KISS, 0xBA
.equ SWEET_SCENT, 0xE6
.equ SWIFT, 0x81
.equ SWITCHEROO, 0x19F
.equ SWORDS_DANCE, 0xE
.equ SYNCHRONOISE, 0x1E5
.equ SYNTHESIS, 0xEB
.equ TACKLE, 0x21
.equ TAIL_GLOW, 0x126
.equ TAIL_SLAP, 0x21D
.equ TAIL_WHIP, 0x27
.equ TAILWIND, 0x16E
.equ TAKE_DOWN, 0x24
.equ TAUNT, 0x10D
.equ TECHNO_BLAST, 0x222
.equ TEETER_DANCE, 0x12A
.equ TELEKINESIS, 0x1DD
.equ TELEPORT, 0x64
.equ THIEF, 0xA8
.equ THOUSAND_ARROWS, 0x266
.equ THOUSAND_WAVES, 0x267
.equ THRASH, 0x25
.equ THUNDER, 0x57
.equ THUNDER_FANG, 0x1A6
.equ THUNDER_PUNCH, 0x9
.equ THUNDER_SHOCK, 0x54
.equ THUNDER_WAVE, 0x56
.equ THUNDERBOLT, 0x55
.equ TICKLE, 0x141
.equ TOPSYTURVY, 0x240
.equ TORMENT, 0x103
.equ TOXIC, 0x5C
.equ TOXIC_SPIKES, 0x186
.equ TRANSFORM, 0x90
.equ TRI_ATTACK, 0xA1
.equ TRICK, 0x10F
.equ TRICKORTREAT, 0x237
.equ TRICK_ROOM, 0x1B1
.equ TRIPLE_KICK, 0xA7
.equ TRUMP_CARD, 0x178
.equ TWINEEDLE, 0x29
.equ TWISTER, 0xEF
.equ UTURN, 0x171
.equ UPROAR, 0xFD
.equ VCREATE, 0x22D
.equ VACUUM_WAVE, 0x19A
.equ VENOM_DRENCH, 0x257
.equ VENOSHOCK, 0x1DA
.equ VICE_GRIP, 0xB
.equ VINE_WHIP, 0x16
.equ VITAL_THROW, 0xE9
.equ VOLT_SWITCH, 0x209
.equ VOLT_TACKLE, 0x158
.equ WAKEUP_SLAP, 0x166
.equ WATER_GUN, 0x37
.equ WATER_PLEDGE, 0x206
.equ WATER_PULSE, 0x160
.equ WATER_SPORT, 0x15A
.equ WATER_SPOUT, 0x143
.equ WATERFALL, 0x7F
.equ WATER_SHURIKEN, 0x252
.equ WEATHER_BALL, 0x137
.equ WHIRLPOOL, 0xFA
.equ WHIRLWIND, 0x12
.equ WIDE_GUARD, 0x1D5
.equ WILD_CHARGE, 0x210
.equ WILLOWISP, 0x105
.equ WING_ATTACK, 0x11
.equ WISH, 0x111
.equ WITHDRAW, 0x6E
.equ WONDER_ROOM, 0x1D8
.equ WOOD_HAMMER, 0x1C4
.equ WORK_UP, 0x20E
.equ WORRY_SEED, 0x184
.equ WRAP, 0x23
.equ WRING_OUT, 0x17A
.equ XSCISSOR, 0x194
.equ YAWN, 0x119
.equ ZAP_CANNON, 0xC0
.equ ZEN_HEADBUTT, 0x1AC